## gpscorrelate 1.5.5

=== Makefile ===
# Makefile for gpscorrelate
# Written by Daniel Foote.


COBJS    = main-command.o unixtime.o gpx-read.o correlate.o exif-gps.o
GOBJS    = main-gui.o gui.o unixtime.o gpx-read.o correlate.o exif-gps.o
CFLAGS   = -Wall `pkg-config --cflags libxml-2.0 gtk+-2.0` -I/usr/include/exiv2
OFLAGS   = -Wall `pkg-config --libs libxml-2.0 gtk+-2.0` -lm -lexiv2

all:	gpscorrelate gpscorrelate-gui

gpscorrelate: $(COBJS)
	gcc $(OFLAGS) -o $@ $(COBJS)

gpscorrelate-gui: $(GOBJS)
	gcc $(OFLAGS) -o $@ $(GOBJS)

.c.o:
	gcc $(CFLAGS) -c -o $*.o $<

.cpp.o:
	g++ $(CFLAGS) -c -o $*.o $<

clean:
	rm -f *.o gpscorrelate gpscorrelate-gui

## gpscorrelate 1.6.0

=== Makefile ===
# Makefile for gpscorrelate
# Written by Daniel Foote.


COBJS    = main-command.o unixtime.o gpx-read.o correlate.o exif-gps.o
GOBJS    = main-gui.o gui.o unixtime.o gpx-read.o correlate.o exif-gps.o
CFLAGS   = -Wall
override CFLAGS += $(shell pkg-config --cflags libxml-2.0 gtk+-2.0) -I/usr/include/exiv2
OFLAGS   = -Wall
override OFLAGS += $(shell pkg-config --libs libxml-2.0 gtk+-2.0) -lm -lexiv2
prefix   = /usr/local
bindir   = $(prefix)/bin
mandir   = $(prefix)/share/man
docdir   = $(prefix)/share/doc/gpscorrelate
applicationsdir = $(prefix)/share/applications

all:	gpscorrelate gpscorrelate-gui gpscorrelate.1

gpscorrelate: $(COBJS)
	gcc $(OFLAGS) -o $@ $(COBJS)

gpscorrelate-gui: $(GOBJS)
	gcc $(OFLAGS) -o $@ $(GOBJS)

.c.o:
	gcc $(CFLAGS) -c -o $*.o $<

.cpp.o:
	g++ $(CFLAGS) -c -o $*.o $<

clean:
	rm -f *.o gpscorrelate{,.exe} gpscorrelate-gui{,.exe}

install: all
	install -d $(DESTDIR)$(bindir)
	install gpscorrelate gpscorrelate-gui $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(mandir)/man1
	install -m 0644 gpscorrelate.1 $(DESTDIR)$(mandir)/man1
	install -d $(DESTDIR)$(docdir)
	install -m 0644 doc/*.html doc/*.png $(DESTDIR)$(docdir)

install-desktop-file:
	desktop-file-install --vendor="" --dir="$(DESTDIR)$(applicationsdir)" gpscorrelate.desktop

doc/gpscorrelate-manpage.xml: doc/gpscorrelate-manpage.xml.in
	sed  's,@DOCDIR@,$(docdir),' $< > $@

gpscorrelate.1: doc/gpscorrelate-manpage.xml
	xsltproc http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

=== debian/changelog ===
gpscorrelate (1.6.0-3build1) lucid; urgency=low

  * No change upload to pick up new exiv2 library (LP: #502565)

 -- Luka Renko <lure@ubuntu.com>  Sun, 03 Jan 2010 23:28:05 +0100

gpscorrelate (1.6.0-3) unstable; urgency=low

  * Convert source to format 3 (quilt)
  * Standards-Version 3.8.3 - no changes needed
  * Use g++ for linking, fixes FTBFS with gold (closes: #554738)
  * Make short descriptions for command line and GUI package different
  * Use © in debian/copyright

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 07 Nov 2009 17:29:57 +0100

gpscorrelate (1.6.0-2) unstable; urgency=low

  * Correct author's e-mail in debian/copyright (closes: #529293)
  * Fix incorrect GPSDateStamp format. Thanks to Håkon Stordahl
    (closes: #529202)

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 21 May 2009 21:43:05 +0200

gpscorrelate (1.6.0-1) unstable; urgency=low

  * New upstream release
    - Almost no code changes

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 05 Apr 2009 19:08:58 +0200

gpscorrelate (1.5.9-1) unstable; urgency=low

  * New upstream release
  * Install .desktop file
  * Standards-Version 3.8.1 - no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 04 Apr 2009 22:35:37 +0200

gpscorrelate (1.5.8-4) unstable; urgency=low

  * Fix crash with incomplete GPS tags and --show (closes: #487873, again)

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 07 Mar 2009 23:01:45 +0100

gpscorrelate (1.5.8-3) unstable; urgency=low

  * Fix crash on incomplete (?) gps tags. Thanks Giovanni Mascellani
    (closes: #487873, and most likely closes: #515654)

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 05 Mar 2009 01:43:58 +0100

gpscorrelate (1.5.8-2) unstable; urgency=low

  * Simplify debian/rules using debhelper 7.0.50 features
  * Fix crash when input gpx file contains empty tags (closes: #502073)
  * Use Vcs-Git instead of Vcs-Svn in debian/control
  * Fix reading and writing of negative altitudes, also fix
    crash when reading invalid Exif tags (closes: #492390, #493757)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 01 Mar 2009 03:21:21 +0100

gpscorrelate (1.5.8-1) unstable; urgency=low

  * New upstream release
  * New maintainer (closes: 515330)
  * Standards-Version 3.8.0
    - add support for parallel=n in DEB_BUILD_OPTIONS
  * Use -Wl,--as-needed for linking to avoid some dependencies
  * Remove debian/TODO.Debian
  * Remove manpage from debian/, there is one in the upstream source 
  * Remove "Apps/" from doc-base section, thanks lintian
  * Add links to new git repository into debian/control
  * Use debhelper 7 instead of cdbs
  * Install file RELEASES as upstream changelog
  * Build-depend on xstproc, docbook-xsl and docbook-xml to build manpage

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 26 Feb 2009 21:45:49 +0100

gpscorrelate (1.5.6-2) unstable; urgency=low

  * Orphaning, as nobody volunteered for maintenance (see: #515330)
  * debian/control: set Maintainer to QA group

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 24 Feb 2009 08:22:13 +0100

gpscorrelate (1.5.6-1) unstable; urgency=low

  * new upstream release
    - fix negative timezone adjustments (closes: #444113)
  * promote Vcs-* fields to real debian/control fields
  * update standards-version, no changes needed

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 28 Dec 2007 15:29:09 +0100

gpscorrelate (1.5.5-1) unstable; urgency=low

  * new upstream release
    - make some GPS field availability optional (closes: #429655)
  * add Homepage debian/control field
  * debian/gpscorrelate-gui.menu
    - change menu section to Applications according to the new menu policy

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 22 Sep 2007 09:07:43 +0200

gpscorrelate (1.5-1) unstable; urgency=low

  * new upstream release
    - better input handling from .gpx files (Closes: #404648)
  * debian/control
    - added XS-Vcs-Browser field
  * debian/svn-deblayout
    - added, with default URL for the tags dir

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 25 Feb 2007 11:01:37 +0000

gpscorrelate (1.4-3) unstable; urgency=low

  * debian/control
    - synced long descriptions of gpscorrelate and gpscorrelate-gui
    - bumped build dependency on libexiv2-dev to ensure gpscorrelate is
      rebuild against a package with a non-b0rken .shlibs file

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 22 Sep 2006 09:41:25 +0200

gpscorrelate (1.4-2) unstable; urgency=low

  * debian/control
    - improved long description
  * debian/gpscorrelate-gui.menu
    - added menu entry for the gpscorrelate GUI
  * debian/manpage.xml
    - written gpscorrelate manpage (docbook format, generated offline)

 -- Stefano Zacchiroli <zack@debian.org>  Fri,  8 Sep 2006 20:37:38 +0200

gpscorrelate (1.4-1) experimental; urgency=low

  * Initial release (Closes: #385488)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 31 Aug 2006 13:24:16 +0200

=== debian/control ===
Source: gpscorrelate
Section: graphics
Priority: optional
Maintainer: Євгеній Мещеряков <eugen@debian.org>
Build-Depends: debhelper (>= 7.0.50), pkg-config, libexiv2-dev (>= 0.10-1.3), libxml2-dev, libgtk2.0-dev,
  xsltproc, docbook-xml, docbook-xsl
Standards-Version: 3.8.3
Homepage: http://freefoote.dview.net/linux_gpscorr.html
Vcs-Git: git://git.debian.org/collab-maint/gpscorrelate.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gpscorrelate.git

Package: gpscorrelate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: correlates digital photos with GPS data filling EXIF fields (command line)
 gpscorrelate fills EXIF (Exchangeable Image File Format) fields of
 digital photos related to GPS (Global Positioning System) information
 (e.g.: GPSLatitude, GPSLongitude, GPSAltitude, ...). The act of filling
 those fields is referred to as "correlation".
 .
 Inputs of the correlation process are a set of JPEG images and GPS data
 encoded in GPX (GPS Exchange Format) format.
 .
 If GPS data are available at the precise moment the photo was taken
 (with a 1-second granularity) the GPS data are stored unmodified in
 EXIF fields. If they are not linear interpolation of GPS data
 available at moments before and after the photo was taken can be used.
 .
 Both a command line tool (package gpscorrelate) and a GTK+ graphical
 user interface for it (package gpscorrelate-gui) are provided.
 .
 This package contains the command line tool and the documentation in HTML
 format.

Package: gpscorrelate-gui
Architecture: any
Depends: gpscorrelate, ${shlibs:Depends}, ${misc:Depends}
Description: correlates digital photos with GPS data filling EXIF fields (GUI)
 gpscorrelate fills EXIF (Exchangeable Image File Format) fields of
 digital photos related to GPS (Global Positioning System) information
 (e.g.: GPSLatitude, GPSLongitude, GPSAltitude, ...). The act of filling
 those fields is referred to as "correlation".
 .
 Inputs of the correlation process are a set of JPEG images and GPS data
 encoded in GPX (GPS Exchange Format) format.
 .
 If GPS data are available at the precise moment the photo was taken
 (with a 1-second granularity) the GPS data are stored unmodified in
 EXIF fields. If they are not linear interpolation of GPS data
 available at moments before and after the photo was taken can be used.
 .
 Both a command line tool (package gpscorrelate) and a GTK+ graphical
 user interface for it (package gpscorrelate-gui) are provided.
 .
 This package contains the GTK+ graphical user interface.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

build clean install binary-arch binary-indep binary:
	dh $@

override_dh_auto_build:
	$(MAKE) prefix=/usr CFLAGS="$(CFLAGS)" OFLAGS="$(CFLAGS)"

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/tmp prefix=/usr install

override_dh_installchangelogs:
	dh_installchangelogs RELEASES

.PHONY: build clean install binary-arch binary-indep binary

## gpscorrelate 1.6.1

=== Makefile ===
--- 
+++ 
@@ -10,17 +10,18 @@
 override OFLAGS += $(shell pkg-config --libs libxml-2.0 gtk+-2.0) -lm -lexiv2
 prefix   = /usr/local
 bindir   = $(prefix)/bin
-mandir   = $(prefix)/share/man
-docdir   = $(prefix)/share/doc/gpscorrelate
-applicationsdir = $(prefix)/share/applications
+datadir  = $(prefix)/share
+mandir   = $(datadir)/man
+docdir   = $(datadir)/doc/gpscorrelate
+applicationsdir = $(datadir)/applications
 
 all:	gpscorrelate gpscorrelate-gui gpscorrelate.1
 
 gpscorrelate: $(COBJS)
-	gcc $(OFLAGS) -o $@ $(COBJS)
+	g++ $(OFLAGS) -o $@ $(COBJS)
 
 gpscorrelate-gui: $(GOBJS)
-	gcc $(OFLAGS) -o $@ $(GOBJS)
+	g++ $(OFLAGS) -o $@ $(GOBJS)
 
 .c.o:
 	gcc $(CFLAGS) -c -o $*.o $<
@@ -41,6 +42,7 @@
 
 install-desktop-file:
 	desktop-file-install --vendor="" --dir="$(DESTDIR)$(applicationsdir)" gpscorrelate.desktop
+	install -p -m0644 -D gpscorrelate-gui.svg $(DESTDIR)$(datadir)/icons/hicolor/scalable/apps/gpscorrelate-gui.svg
 
 doc/gpscorrelate-manpage.xml: doc/gpscorrelate-manpage.xml.in
 	sed  's,@DOCDIR@,$(docdir),' $< > $@

=== debian/changelog ===
gpscorrelate (1.6.1-7) unstable; urgency=medium

  * Bump to Standard-Version 4.1.5. No changes required.
  * Fix FTCBFS: (Closes: #901259)
    - Let dh_auto_build pass cross tools to make.
    - 80-cross.patch: Make build tools substitutable.

 -- Mònica Ramírez Arceda <monica@debian.org>  Sat, 07 Jul 2018 18:47:52 +0200

gpscorrelate (1.6.1-6) unstable; urgency=medium

  * Bump to Standard-Version 4.1.3. No changes required.
  * 60-gpstimestamp-unsigned.patch: Write the GPSTimeStamp tag as unsigned,
    as per spec. (Closes: #779390)
  * 70-option-overwrite-gpstags.patch: Add ability to force overwriting of
    existing tags. (Closes: #683772)
  * Update compatibility level to 11.
  * Use HTTPS in copyright format URL.
  * Migrate Vcs-* to salsa.debian.org.

 -- Mònica Ramírez Arceda <monica@debian.org>  Thu, 22 Feb 2018 08:46:04 +0100

gpscorrelate (1.6.1-5) unstable; urgency=medium

  * debian/watch: releases are now in github.
  * Set canonical and secure URIs to Vcs-Git and Vcs-Browser.
  * Remove the menu file.
  * Bump to Standard-Version 3.9.8.
  * Fix spelling error in manpage, added to 40-fix-typos.patch
  * 50-add-keywords-entry-desktop-file.patch: Add Keywords entry to desktop
    file.

 -- Mònica Ramírez Arceda <monica@debian.org>  Sun, 22 Jan 2017 17:11:50 +0100

gpscorrelate (1.6.1-4) unstable; urgency=low

  * Update Maintainer field with Debian email.
  * Override dh_auto_clean to remove some remaining files.
  * Update compatibility level to 9.
  * Enable security hardening build flags.
  * Update debian/copyright.
  * Bump to Standards-Version 3.9.3. No changes required.

 -- Mònica Ramírez Arceda <monica@debian.org>  Mon, 07 May 2012 00:18:07 +0200

gpscorrelate (1.6.1-3) unstable; urgency=low

  * Adopt the package: update debian/control and debian/changelog.
    (Closes: #640798)
  * debian/source/format: fix format number.
  * Simplify debian/rules with % target.
  * Rename patches and add headers to them.
  * 40-fix-typos.patch: fix typos in upstream code.
  * Bump to Standards-Version 3.9.2. No changes required.
  * Update debian/copyright to DEP-5.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Wed, 14 Sep 2011 08:41:36 +0200

gpscorrelate (1.6.1-2) unstable; urgency=low

  * New patches:
    - check-gps-tags.diff - check if GPSLatitude tag is present instead of
      GPSVersionID when desiding whether photos already contain GPS tags, some
      cameras create GPSVersionID tags but do not include coordinates
      (closes: 575611)
  * Update debian/copyright

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Apr 2010 23:04:05 +0200

gpscorrelate (1.6.1-1) unstable; urgency=low

  * New upstream release
  * Updated patches:
    - build-fixes.diff
  * Install the provided svg icon
  * Standards-version 3.8.4 — no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 22 Feb 2010 16:52:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gpscorrelate
 Section: graphics
 Priority: optional
-Maintainer: Євгеній Мещеряков <eugen@debian.org>
-Build-Depends: debhelper (>= 7.0.50), pkg-config, libexiv2-dev (>= 0.10-1.3), libxml2-dev, libgtk2.0-dev,
+Maintainer: Mònica Ramírez Arceda <monica@debian.org>
+Build-Depends: debhelper (>= 11), pkg-config, libexiv2-dev (>= 0.10-1.3), libxml2-dev, libgtk2.0-dev,
   xsltproc, docbook-xml, docbook-xsl
-Standards-Version: 3.8.3
+Standards-Version: 4.1.5
 Homepage: http://freefoote.dview.net/linux_gpscorr.html
-Vcs-Git: git://git.debian.org/collab-maint/gpscorrelate.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gpscorrelate.git
+Vcs-Git: https://salsa.debian.org/debian/gpscorrelate.git
+Vcs-Browser: https://salsa.debian.org/debian/gpscorrelate
 
 Package: gpscorrelate
 Architecture: any
@@ -53,4 +53,3 @@
  user interface for it (package gpscorrelate-gui) are provided.
  .
  This package contains the GTK+ graphical user interface.
-

=== debian/rules ===
#!/usr/bin/make -f

# Use hardening options to build the package
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- prefix=/usr CFLAGS="$(CFLAGS) $(CPPFLAGS) $(CXXFLAGS)" OFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/tmp prefix=/usr install

override_dh_installchangelogs:
	dh_installchangelogs RELEASES

override_dh_auto_clean:
	dh_auto_clean
	rm -f doc/gpscorrelate-manpage.xml gpscorrelate gpscorrelate-gui gpscorrelate.1

## gpscorrelate 1.6.1-1maemo3

=== Makefile ===
# Makefile for gpscorrelate
# Written by Daniel Foote.


COBJS    = main-command.o unixtime.o gpx-read.o correlate.o exif-gps.o
GOBJS    = main-gui.o gui.o unixtime.o gpx-read.o correlate.o exif-gps.o
CFLAGS   = -Wall -DMAEMO_VERSION_MAJOR=5
override CFLAGS += $(shell pkg-config --cflags libxml-2.0 gtk+-2.0) -I/usr/include/exiv2
override CFLAGS += $(shell pkg-config --cflags hildon-1 libosso dbus-glib-1) -I/usr/include/dbus-1.0
override CFLAGS += $(shell pkg-config --cflags hildon-fm-2) -I/usr/include/dbus-1.0 -I/usr/include/hildon-fm-2
OFLAGS   = -Wall
OFLAGS_CON = $(OFLAGS) -Wl,--as-needed $(shell pkg-config --libs libxml-2.0) -lm -lexiv2
OFLAGS_GTK = $(OFLAGS) -Wl,--as-needed $(shell pkg-config --libs libxml-2.0 gtk+-2.0) -lm -lexiv2
override OFLAGS_GTK += $(shell pkg-config --libs hildon-1 libosso dbus-glib-1 hildon-fm-2)
prefix   = /usr
bindir   = $(prefix)/bin
datadir  = $(prefix)/share
mandir   = $(datadir)/man
docdir   = $(datadir)/doc/gpscorrelate
applicationsdir = $(datadir)/applications

all:	gpscorrelate gpscorrelate-gui gpscorrelate.1

gpscorrelate: $(COBJS)
	g++ -o $@ $(COBJS) $(OFLAGS_CON)

gpscorrelate-gui: $(GOBJS)
	g++ -o $@ $(GOBJS) $(OFLAGS_GTK)

.c.o:
	gcc $(CFLAGS) -c -o $*.o $<

.cpp.o:
	g++ $(CFLAGS) -c -o $*.o $<

clean:
	rm -f *.o gpscorrelate gpscorrelate-gui doc/gpscorrelate-manpage.xml gpscorrelate.1

install: all
	install -d $(DESTDIR)$(bindir)
	install gpscorrelate $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(mandir)/man1
	install -m 0644 gpscorrelate.1 $(DESTDIR)$(mandir)/man1
	install -d $(DESTDIR)$(docdir)
	install -m 0644 doc/*.html doc/*.png $(DESTDIR)$(docdir)

doc/gpscorrelate-manpage.xml: doc/gpscorrelate-manpage.xml.in
	sed  's,@DOCDIR@,$(docdir),' $< > $@

gpscorrelate.1: doc/gpscorrelate-manpage.xml
	xsltproc --nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

=== debian/changelog ===
gpscorrelate (1.6.1-1maemo3) unstable; urgency=low

  * Changed packaging to an original package as opposed to orig/diff

 -- Julius Luukko <julle.luukko@quicknet.inet.fi>  Fri,   4 Jun 2010 18:50:00 +0300

gpscorrelate (1.6.1-1maemo2) unstable; urgency=low

  * Added missing build depends

 -- Julius Luukko <julle.luukko@quicknet.inet.fi>  Sat,  29 May 2010 00:13:00 +0300

gpscorrelate (1.6.1-1maemo1) unstable; urgency=low

  * Initial maemo release

 -- Julius Luukko <julle.luukko@quicknet.inet.fi>  Tue,  27 May 2010 01:13:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: gpscorrelate
-Section: graphics
+Section: user/graphics
 Priority: optional
-Maintainer: Mònica Ramírez Arceda <monica@debian.org>
-Build-Depends: debhelper (>= 11), pkg-config, libexiv2-dev (>= 0.10-1.3), libxml2-dev, libgtk2.0-dev,
-  xsltproc, docbook-xml, docbook-xsl
-Standards-Version: 4.1.5
+Maintainer: Julius Luukko <julle.luukko@quicknet.inet.fi>
+Build-Depends: debhelper (>= 5), pkg-config, hildon-libs-dev | libhildon1-dev, hildon-fm-dev | libhildonfm2-dev, libdbus-glib-1-dev, libosso-dev, libexiv2-dev (>= 0.10-1.3), libxml2-dev, libgtk2.0-dev
+Standards-Version: 3.7.2
 Homepage: http://freefoote.dview.net/linux_gpscorr.html
-Vcs-Git: https://salsa.debian.org/debian/gpscorrelate.git
-Vcs-Browser: https://salsa.debian.org/debian/gpscorrelate
 
 Package: gpscorrelate
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: correlates digital photos with GPS data filling EXIF fields (command line)
+Description: Correlates digital photos with GPS data filling EXIF fields (command line)
  gpscorrelate fills EXIF (Exchangeable Image File Format) fields of
  digital photos related to GPS (Global Positioning System) information
  (e.g.: GPSLatitude, GPSLongitude, GPSAltitude, ...). The act of filling
@@ -31,11 +28,83 @@
  .
  This package contains the command line tool and the documentation in HTML
  format.
+XB-Maemo-Icon-26: 
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAC/JJREFUeNrUWkuoJkcVPqeq
+ uvt/3XmhIRJGZ5TxASoZFVQQVFBHxIgLoysXIYKIG0HBB5Is3BkMCG40C1cG
+ F4ogWUhiEkEZIkTEkIAZJTE4E5J4zczc+z/6VVV+51T1nT9jJt4/TnTSTN3q
+ 7r8f3zn1na/OqR5+28mT5LuOtp8+R33fnxpVo49Za45ba4uqLENROG9d0TVt
+ 0wcf+hhDiJE8s+mZyXvfeyLuI2G/6/oQfTDG9caa3vd9F0LorcUzrPW4FTeH
+ 3lnX4bhnQx0zd9bYDvd3RHrcWMMtnt8Zy20MsY0xtnhRS2way7zCdbUrq94V
+ FTk8lNqmcYcPHfrRiTcdv8VZQ77vCEaQc5YYV3tcEwW1D9qCbjAlwqSAlvZ8
+ pCiXipEe16MBVIwAJyCoJYoNjK1xro5MK4q0JAEUaQFnLGDEAu+bk/TM2uOe
+ Bd6F5pb4fWmMKfCsAm+cG+47x31Ps6r88rveceMtz21vhzN/fSIsVysBqeCx
+ RbxE9iM63CsbBznGQUgdiYVBbJXfiKP0nuW8nqOQr5Hb5Y/0IT1Trtfneb2W
+ 9Rk9jnsZERx3LMcYKQPEGM1+MpmEAsMYwAkHBxYn3viGL+zs7NCvH/xtwFCx
+ sRgogcn5NYYSbjkHdPhjKIGzegVzHI4Ns4DATWzyLWq4GgZQrPfiDs5uYb0/
+ qLGsQAW8Uis1NQD0EQNAK2N7DLOfTaegKrNbLpbHZtPJ8d8//EcZfy7LUrHr
+ q8UnI7T2BZBC/tkS7Rkm4EwaLUq282Cygo8yQqCNF2/iVCf0wg8tLhOO10It
+ +KHGsXB8lY7RZ85bYxq9HrHXtV2/MqsArNFVZXHDYr6YXri4g+CyCTzCKYo/
+ xiDb93rq7zIU/mATmCo5dQ08ZYODUiWmHmAyWMQEYgB9gzsaTwEgEQfMS9i0
+ ZOE5c+K+8D5G9BILPIcXECO0kuthfmMkoEOA8c6raODBjoI/WLctNU0bdWDF
+ 69dFLm/vqfg0rLieqPw8IvMBT+03cfljuKYElKgGDM2vtT41Fv5m71KdvIqg
+ lcZxAaALGLuLm3exv4tXa09iSJRAxjUaxDCAqYERDRvuoHFKIRFD7MGUEKZN
+ 28EOn8YbXfX9nsrPQp1+gdteo4+k4pORzNs7Xt5YBJqDz5YG3l8GXOVQPK7g
+ swED+AxKFCbOxQCiSy0mQ1R9sI/rWcDXWcEAkhDE4AacBz5FqDYZ54pxByUS
+ XZSA5THI/T7s4rX1zfD4n2D+F11o7jQxPGQiH97z/hXBi5Zn8JnPA3BtChSg
+ drC/g2u1xznpYZSMTBw8XwNWA2ydPh/SDKbgsIkIYFUHh8iuus4rJgxRFKWO
+ f4ERr8dI/NCTOYbz14O8X3Veye9woVPw8VKQXooF2QAA+qAh73IrBzlV2Uwx
+ A6ljaHocGWemeOIuFFAMWOL8SpwgSMUpwOhlw0SbZHjtja73vuowmeKkGKR6
+ 0XzNMf+kp+rWoBfZB3vjf8Pcfgez6cOlsSJV1hEkDUZbDGNJxhZki5Ksq9CP
+ tLlyTLacUFFNyY3QqgmVoy3sz6hAczhfVDM97+yE2p2nHn3s/ru+8fTjpx8C
+ +DaDB+5e5D1e5qyE7ciRIx8CjT6yvb3dq9cMbDjHsbvLRH+aI78V98wxVB+I
+ XHwumHDvyNCzcKiDY00BAwo8BccW3DMjCuijGaOfkrcz9FvoD4C8W9SbQ9Sa
+ g+DYQUTlQUT2QVrFA7RE8+YAucPHrnvLyVOfubj99/t3njnztyuBLwrJElQO
+ ycDSUiRaL5C/oxjtBwOZdwfqfoWfH4WOnXJdc5sLvIUbPgohpCIxQ/hk8CAB
+ DJYEhgE0htgDPE3QZtDQGQR/Rm3Yogat9lu06ma0ardo2cxoUU9pvprS9s6Y
+ zj4/ojPbRRmO3Xy7gO+67oqe36MQZt1CMhvld49Z9Eh04wc6E59FxL23CHqr
+ YKvy1NSA2qANeINWEsP7UUbCVhTR2I20jwWMwj658aVm82/a4148g9nKoKep
+ sYPyyTMPHn2PeD7jeskNZGeMgOYx4lgbn+LQ3mG5+ro30zOdEwl1Hw8j8zpE
+ 4eNI9O6ZKN8ZU7RMCBQr3TfwPpsJDBnDLhwXM+JiSqba0n1T5mNp5RSG4loY
+ acRoNLKZjurw8dhL1riPDQmnFQN6zWdYFSa230K+8Qj8cyqw+wR4/wj7/gcj
+ 0//0gKF/jDE3wGMHukFLUjMpuWBfkPETHQlTTBSggjQS6CnYxesp3HJSItN+
+ 8JrmqXh5Q/vdHENQYxqq1PK9/d0IoLuNr+7sR92ddl5cOLQFxUX0ANCn/kn2
+ S+czMyW9y+mTpJQ/P07unpvAsFEGLB52ClxVCwA5ZXS4L+rMqcKqucuQcNX7
+ NwDgNeXP+hyGzIbLNEm1t7kdTE+dmdlZBAiZCOiXN1C496hy2qBpD46z9FAX
+ 2TdQIWlCKwM1Mgh0JFeJakioOAr9MBrBJa+vJ7A97d8ACRRJYfMkY/MsEfNj
+ PJyhOY11JXiGlzKMaAHCj5UmGpygSgwT5XjEvpdABWVCDnLDKVhZwzVVBFoy
+ yMwv7+NLCXAyYLWZAVLurSVlQ5qQDDCaGrRwYxDwovXidXZJcVg8Lx7PvQax
+ eF69Lx6f4DHVpaAPMCpP0Bztv4PfdASgt2EviNOTzJoBCl7yGutG8NlIg5Fd
+ aqaQEUBMiDGoT01RJsMKUMPJDA2QDl5GecpWZx3c7ymVNOL5/kXBrzaKASRI
+ LFVUKu9MjgWpaQfwko/UBhWcAYWicNgmT8sElrw9Vp6Lx5XznPjOA9+liBC+
+ I3vH1Hxlz+8ZsYEBWnCg8B5mu1xKedqrlEgMWIE2QUB5LpNum6TfQdMJnFOe
+ D80mdUoFKECnxDWNcXhxz6/TZxMKDVRZOzcEcLNeiCA5w4RQqWfF8zoK4m00
+ kgkse5+50jp0T2lCscZ389Ke1221+Qhkrg+1bcwj0uQiRPN5JE+og8YJTPa6
+ kZkzpwNJZTjPCzGpi0xOWrrn+p/pP4B/GUEsGUjmOWfuhzX6LHObQ2GCAY8l
+ WUuehzHK80niuxbL4vUqqw0eHcVYeD2Y/YPHoNebyGj2dp0LETvwfw28VlHI
+ 8wP7MnneSQotCuOywqR0QhliheM+z0sxidq+wW/m/fURqHM1Zdb4vxxWyKQE
+ RAbm+z3Pj7LXR1lhEt85SjLmNFvVQA4bghdPCv+7TWQUYHPtmtdzWFRJRkRq
+ UwEvRfaOLSbBIDntdDnI5rUtzqs+Ma29idIwp7U38huDf3kqFHXNRupQiV6T
+ F1hXGbiClx4ln6xX5Fl1rD2p11NOk/TdZaUxa8tFm271ZiqUVxCWa+faPCKD
+ AbrkIXVPymVsWtfyWWkk5kOfZ9a4D5m8upsYIMsfiyyjcQjgmBeZZMFJljx8
+ MQ5KnxCTLJoEPE1+w7ou/xeevywONlChOgdrHCRU+J/XaHazIbvWuJCyyIEy
+ qSbWCYrMVfN8vek8AJcPfA95KV3W7xdr9JFRWCCPD5J1N5IWxBygHNc8/7+j
+ zeUFzTKDlHpA1vTruLaKltVoMamqIKt7mlInwb+qnn9BIrdRPZAotMt7RNZR
+ HEZgmZf5luOqakZFTbKOmlTmFfK8ymg9338QJ4/vDmudEtSD17MBK9QMq6Z5
+ 7r7rX3v4nRd35mvAXwHa9Oepri/ct4EKyazLA4XkC0q9tiAr4EWlmj+f/vF3
+ t47edFPdmDenrx6vBHh59YXnaX7625sZEGXxcKjCeG89P0uszBPt/OLZ5fOL
+ n72fxifuIBp/GEYcv7ro62fQfkf1k1+h+ZPnNigpbRvIL1CLeRuNfHEc6oAB
+ vC6w6lfHxdnztDh7K11DmzPyQYmNfL6UVLo3wbSBQyPlpKzLy4c1KfxlnfKl
+ 1ij/bwZIfYeMeClfLaH/vefQ6SoE7Xn+mgU/jIAHjVbOWUwJ3su3WPm8mQrX
+ 6Luujdcq+LQ26govgVwULnoYYMUK7MhyS9tKXnftglcDikJLqLYsCuq9fP/D
+ Pys7Jup3s2t8k2xU1oO6qqoYBsj/5QjyLQpDcM2D1y80ktsjBxXuh8K5UBRF
+ zKt0r4rN6X9sEDMgP9aVZMPwfzFeHdu/BBgATwIODZj1b7UAAAAASUVORK5C
+ YII=
 
 Package: gpscorrelate-gui
 Architecture: any
-Depends: gpscorrelate, ${shlibs:Depends}, ${misc:Depends}
-Description: correlates digital photos with GPS data filling EXIF fields (GUI)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Correlates digital photos with GPS data filling EXIF fields (GUI)
  gpscorrelate fills EXIF (Exchangeable Image File Format) fields of
  digital photos related to GPS (Global Positioning System) information
  (e.g.: GPSLatitude, GPSLongitude, GPSAltitude, ...). The act of filling
@@ -53,3 +122,86 @@
  user interface for it (package gpscorrelate-gui) are provided.
  .
  This package contains the GTK+ graphical user interface.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
+ 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
+ SU1FB9oFBwUDDuAYng8AABAHSURBVGje3Zp5lBXVncc/t+rtvb3uppdHN4tA
+ Ay1gY4h2EAQFEVQwDMRGUUTcwmD0OBwz2ROMEzMxmjgnk5iJJlGOA7RDHM+o
+ SFpkwMguS4ARkIaG3pvX2+t+/ZaqV3Xnj6r3egO7Jzk5mZk6p869Va+q7vf7
+ +/7u7/e7txv+jx/irzWwlDINGA0UHz58uLS6urrojTfeqHzzzTeP/NUJDARX
+ V1c32el0Fnq93nyX2z3S5XYXqEL4AIQQ5OXlEQgE2Llr176FCxbcBGh/MQJS
+ ynRg1EBwPp8v3+lyjXS6XAVOVfVJKQEoKCigoLBQhoXDuKSbSlA3lbaETpuu
+ 056I06HHaEtEmJ2RzsoRAZYsWfLKtm3bfgYc/x8T6Avu0KFDVzc0NEwaPjiU
+ SwmU1gQE7TPZ70joSBlHkToKcVSpIdD6tW6R4MUJM4yPfv/+hSWLl3wfeBMI
+ D4vA9u3bA4ZhXCwsLHQmwRUWFpJfUCDDwmG06ChBG9wlG1gSXLsBhrySXAaK
+ DVChl0Bvq6Ggpdr5/gD3B6ZSUVHxm61bt74C7Bu2Au/v2FF9y/z5459rgSbd
+ AtrxWeCGOBQ5GKDVj6Og92tVNITUcIkEz5bcZpzYe+j8zTfd/APg34GuzxpH
+ TXa+eOedzZmZmXeddWaytwciJvwp2IVMoBJFlTFUYtDRzNTnn2XGj5+n5KWX
+ 8Vd9QHv7JUTZOBxCs5+Lo8oYQkaJGhFl6TU35Z4/f777+PHj9UDtsOfAtm3v
+ HS5fsKjsgYuo8Sugb927k+7aBoTbQ+H0MrxXTbSISvOyblLwsxf55Z6jcOxE
+ 6htdSNYtn4Xr6YcGqeQQOt8uWWWcO3qm7sbZN/6DYRhvAh1DKgCwfPnyxpw0
+ 771qpp9TscEPN27eSCiWx3kjQJuRTcOJ00RP7idvWikOxXIPB7F+VtU7glxb
+ 20ROWyfEregYBz5OU9G/eB0qcRy2WqqMocgYPYmQsnjqQn9jY2P34cOHG4CL
+ wyJQWVn56cKFCxfcPrWk6J0ulMQAFeJ/PEE4YwxdcQMA05tNV1sYd/NRcieP
+ RZVx233iKTdSxgfYrep82nKJU+1tnFYk73lVPNKk6N0DeHcepfNcHcqUPJxO
+ HZUYrdF6pvmnGhNGleRufG3jKcMwLgCRIQnYKlxIczpWp2XnipMDVAhfasAf
+ 7SIo063JLSVq7cekixAyGsKX7sDtIaWEQhzZWEfppm3cc+g0t0R0rjEEczXJ
+ 3FCcmS1h5l7sYPaRevbtPkn08wV4/AKVGN1aq3LblKWZra2tPQcOHKgHaoad
+ yN5+++0P5t2+eO6qC6hhs/e+qWs0bt1I7dFPiOoKhuKG4ikQmASREM7Oc+Rq
+ 1ZTfO5OMggwUdPJ/upEf/W4fiY5OXJcZywReIM5aXDw/1kP41wvxZqsoUuPL
+ kzaYHTXR4MyZNzwTDoe3Ai1DKgCwYsWKMyry4dy8PHEs2hvT61/5BbW+GfQU
+ TkcWT4OiUsgYYf3u9GB6cginl9D0fhWBUSppfgfZe08yty3Oo6FmlprqZS1Y
+ JQw0Acs7Td5t6yTr5hGoxAjF68Utpfekd3V1Rfbs2dMAnBsUri9HYOnSpQeq
+ z579/TI/hl+RVsyOd+BLyyNyau+VY9r5Q4j9m+kqWcpH/3ocJdFN7czRHB+Z
+ ixgZAKfzsq89Ld38o6rx3OJ8MlePwSGjOGSEuq591HUfM9c8+MDNfr+/FBg5
+ LAUAVq1adTyhxdcG8nOUP/b04FB1widO4dZiaO0t6P7iwS+NGI344zbwB1Bj
+ HYwq7CGnbCQfZicIRrrwpvkpbe4EOThGlygqh9eOoaAsLZVDVBmjM3ZO3Dz5
+ YV80Go3v3r27DqgeFoFNmzZdmjdv3ufu/NzUibtCIaGZEWIdjbgNBa3qZWJl
+ d2JeLleUzCRzxwYqvl+OP+DDIWOkFXnJmzuWaqOHqZEsssJRiMf7vRYwBe8n
+ YmTNz0QlhkPGUIgRjV8kkD5Nlk2aU7h585bTPT099X2zs/pZWW7dunUfd4VC
+ 68aMzFOPhdvJGpNL7tRcMqeUkNYapV31Dy41FBWnEeJzs904VR1VRu2cEMU9
+ OZ099c2ME4U0pXs5Gu3kkF9hd7GDHaVu2nIV8md5bOvHe1WIfiJmTXrCo+u6
+ vnPnzn4qDFlOV1ZWVi67664vrT93QmnTuxFSQ0WjZvtRDPcc6owMGrq1/mqc
+ /5hZI3dRftf4QbWPKuO0nmnBnQbedIk3TeJU+9RGlynyBLBo4mvSHS0Ll5fP
+ fLa+vn4LcGFYBPbv31+sOhzVkfFF7lcaT9gftQY7/R8nMeKZxBIRonoYjxoj
+ 3RMhMFph5ORMPB7ZB8hQ1ah1XyWOSLb0xvAc72RWXPMH+cILP6l66qmnfg68
+ A8hhLWgqKytfXbZ8+f3fqdklLsXb+1lT2K2CBpeCuN7bhXHjVJxjsy9befar
+ Tm01BxJxCPA688hwjyLNGSDNFSDDXcw1hWsJBoOUl5d/p6amZgtQ7RgOgcmT
+ J//9wYMHK5ZfXeJ5ue4/Re+ANjAzhth9EPepahLzp+Mak4EiI70gk0SJ48Ak
+ 3ZWG3zmGTFcOGc4cslyFpLsKyHAVmJnuMabHmasKlJRx4/E4Fy/WRD+s3tXV
+ 2d7V5HQ6A8B1wPlhESgrK7u0ZcuWjcuvu+7R0W4vTbHO/lb9typUqSMeXUCu
+ y0euKxO/M5NMZyZ+Vw6ZzmyyXLlmlqvQ9Dn9g8BduHA+Wtfc1NHT3Rzs6DjV
+ 3d7e3tXY2Biur6+P1NbWhk6fPt3W2traZK/QIvbZDX0+NNRRU1Pjr2uory27
+ /tqMN5vex+/wkuvMwO9M572vPUj5sseNOQvvVwRiALiaaGNzY0dPdyTY0dHR
+ 1dbWFm5qauqurb2gGS0nlx0+e2nz+frW/QPAXemM/VmL+o0bN/6woqLi6263
+ m1gsxoWLF6JNzU0d547sjtXurxwhskvqI+kTPqlvaArX19d3nTlzJhgMBpsH
+ gps3wV1WPEJdGdP48I0jkReuBO4vsSshVq1adV8ikXDs2LGjyAbXfcP1ZUXj
+ xhbmZxMsNrrbxmemp7VrWVcdzsob1ZSe7ov7fF49EurMjrVdvDGha1n+nOzq
+ tJHjjyikHXnwK986wp9x/En7Qhs2bFD0tjN3TL86/5ZAfvoNE0f7y/wZHqfl
+ PYJIJMbBPQdorGtmzoK5FI8KJCvC3lZKuiMJvaldP9YZNj5qCModpxq07Rs2
+ bDD/IgRmzJjhW7bg6oprJmTfmJuTMWtqSd5Ej8slEAoSAUIBBIZhUnfxHFIL
+ yb1HqhPnDh5xjrt2emJW+SRVuDLFqDETUFVhkzARdqslDFnbHP20K2zsaQoZ
+ u2pafVvXr18f/bMI3LdsYaC8bOTdE8b4byjMS59VOi4/oCgOpFBswGoKeJJI
+ c0uQ9NgJQmFN2/juuXdkc/VcmTNuz5plExdl+JyuHu80CgvyUsBJtYZFSJqY
+ ZoKGYKwpFDb2tHQYe09f6Nnyd996tmlYBJ5a+zdTp4zPXT4mkDF7VMB//Zgi
+ fybCAUJFomD1lT7XSTJKikRnZzftwXqEGSWhaThcblA9ZI8oxu/P6APetFpp
+ WllXGvZ1os91gpb2eFewUzvQGTY/agybW+97cMMnSbyD8sCcGUXfuG3W2JVS
+ cVhgUZFCJUVCqJA6FWRKBSWlhj/XS1ZuwQD7SBu4RA4gIDCQMgnYQEgVKQ0g
+ gUChIFfNLMhxLRBmYsHhs+ESYNUVCaiqalrgnTZgxwDwffqodl8ZQCLpVqLv
+ vqUFPGn1JHhpWmCFgbAJSJlASAWkYvet4CAVgTGg/B20IrPcwskPfrGd3Guf
+ JO/ax3l5y4c2ESdSOPnJr94me2IFa578KVJxgeLm1coP8BXfglQ8rHjoe2SN
+ nc/dD38XqXiRioeyOffjK7oJX9E8pOLBV3wrvlGL8I6+Ham4GFF6N9L+vjWO
+ I2U8aRsN4UDTjaGWlJZL/PAX73Fs+7O89euneGnj+30+5ODnv32HbZXP8U7V
+ PlBcSMVFT1S3DKB4rKgESKkgVQ9S8RDqCnN071uEW46A4qaneT8HPniN0klX
+ geKkIC8HFGe/cXpd1WGrr6Dr5hAEFEuF68vGseKxf2bfkWq2b/puP98/e2gT
+ 85Y+yeOPVqSU+dtH7rPfd7H59Zdob/qETa//i6WA6iUU6mb+4gdY/80fIxUX
+ Urh4t2oft986G4SDk3tf7zeG7NdaEU+ioBv6UApYIXHbxq/ytXV3cuREDYtW
+ PpOKNtL28f/au5lfvfZW/4kNtgtYbiUVT+psbT7LwT3beX3zW6n59Yd9R5lz
+ w+d75xNK73zqO5eS80kog5bTypVywOzl3yeQ7+fZr99LTV1Ln6grmHj9PXSG
+ uonF4v3uW90+RIUDFBcIB6XTZlJb14jL5SKZsU9/ep4ppRMGRPW+3xo61w6K
+ Qg5VMZGSJ9YsZPEDz5FImHzziS9ZOwnCypwP3beYeV98jMceqbDLA0l6/jUA
+ ZOSW0N1WbQ9rIqVAILn/vgpuX3IPX//qY1a4xCTY2k7eCL+9SyF7Qy2mdS91
+ vzeSDdwzH0Tvo999+5Xrp416KBUBBoVUZ59wmvxd7Z18KL2htZ/AVshMghcy
+ ATJhxX0z2U/YoVS3f7f7ZvK3BFV7z76++IHnV32GC5kSeyD3hNV4xt2L56qK
+ VJJJDvLq5nfwFc1FmDqYOq+9/jvS86cjTI1rZ95BxohSMkZMQphRVq5aS05g
+ GitXfwVhaggzzvQblpFW+AXSArNS4F/bvA3v6NtBGuRevdIeK5kz7CxtDuFC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	# Add here commands to compile the arch part of the package.
	$(MAKE) 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/gpscorrelate install

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
# 	dh_installchangelogs 
# 	dh_installdocs
# 	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
# 	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## gpscorrelate 2.0

=== Makefile ===
# Makefile for gpscorrelate

PACKAGE_VERSION = 2.0

CC = gcc
CXX = g++
EXEEXT =
PKG_CONFIG=pkg-config
CFLAGS   = -Wall -O2
LDFLAGS  = -Wall -O2 -lm
GTK      = 3

COBJS    = main-command.o unixtime.o gpx-read.o correlate.o exif-gps.o latlong.o
GOBJS    = main-gui.o gui.o unixtime.o gpx-read.o correlate.o exif-gps.o latlong.o

# Both BSD make and GNU make >= 4.0 support != to define the flags immediately
# (which calls pkg-config once instead of on every compile), but until that GNU
# make version is widespread, use this slower but more portable form.
CFLAGSINC = `$(PKG_CONFIG) --cflags libxml-2.0 exiv2`
GTKFLAGS  = `$(PKG_CONFIG) --cflags gtk+-$(GTK).0`
LIBS      = `$(PKG_CONFIG) --libs libxml-2.0 exiv2`
LIBSGUI   = `$(PKG_CONFIG) --libs gtk+-$(GTK).0`

CFLAGSINC += $(GTKFLAGS)

# Put --nonet here to avoid downloading DTDs while building documentation
XSLTFLAGS =

prefix   = /usr/local
bindir   = $(prefix)/bin
datadir  = $(prefix)/share
mandir   = $(datadir)/man
docdir   = $(datadir)/doc/gpscorrelate
applicationsdir = $(datadir)/applications
localedir = $(datadir)/locale

DEFS = -DPACKAGE_VERSION=\"$(PACKAGE_VERSION)\" -DPACKAGE_LOCALE_DIR=\"$(localedir)\" -DPACKAGE_DOC_DIR=\"$(docdir)\"

TARGETS = gpscorrelate-gui$(EXEEXT) gpscorrelate$(EXEEXT) doc/gpscorrelate.1 doc/gpscorrelate.html

all:	$(TARGETS)

gpscorrelate$(EXEEXT): $(COBJS)
	$(CXX) -o $@ $(COBJS) $(LDFLAGS) $(LIBS)

gpscorrelate-gui$(EXEEXT): $(GOBJS)
	$(CXX) -o $@ $(GOBJS) $(LIBSGUI) $(LDFLAGS) $(LIBS)

.c.o:
	$(CC) $(CFLAGS) $(CFLAGSINC) $(DEFS) -c -o $@ $<

.cpp.o:
	$(CXX) $(CFLAGS) $(CFLAGSINC) $(DEFS) -c -o $@ $<

# Hack to recompile everything if a header changes
*.o: *.h

check: gpscorrelate$(EXEEXT)
	(cd tests && ./testsuite)

clean:
	rm -f *.o gpscorrelate$(EXEEXT) gpscorrelate-gui$(EXEEXT) doc/gpscorrelate-manpage.xml tests/log/* $(TARGETS)

distclean: clean clean-po
	rm -f AUTHORS

install: all
	install -d $(DESTDIR)$(bindir)
	install gpscorrelate$(EXEEXT) gpscorrelate-gui$(EXEEXT) $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(mandir)/man1
	install -m 0644 doc/gpscorrelate.1 $(DESTDIR)$(mandir)/man1
	install -d $(DESTDIR)$(docdir)
	install -p -m 0644 doc/*.html doc/*.png README.md $(DESTDIR)$(docdir)
	install -d $(DESTDIR)$(docdir)/fr
	install -p -m 0644 doc/fr/*.html doc/fr/*.png $(DESTDIR)$(docdir)/fr

install-desktop-file:
	desktop-file-install --vendor="" --dir="$(DESTDIR)$(applicationsdir)" gpscorrelate.desktop
	install -d $(DESTDIR)$(datadir)/icons/hicolor/scalable/apps
	install -p -m 0644 gpscorrelate-gui.svg $(DESTDIR)$(datadir)/icons/hicolor/scalable/apps/gpscorrelate-gui.svg

docs: doc/gpscorrelate.1 doc/gpscorrelate.html

# BSD make doesn't work with $< as the prerequisite in the following rules but $? is fine
doc/gpscorrelate-manpage.xml: doc/gpscorrelate-manpage.xml.in
	sed -e 's,@DOCDIR@,$(docdir),g' -e 's,@PACKAGE_VERSION@,$(PACKAGE_VERSION),g' $? > $@

doc/gpscorrelate.1: doc/gpscorrelate-manpage.xml
	xsltproc $(XSLTFLAGS) -o $@ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $?

doc/gpscorrelate.html: doc/gpscorrelate-manpage.xml
	xsltproc $(XSLTFLAGS) -o $@ http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl $?

build-po:
	(cd po && $(MAKE) VERSION="$(PACKAGE_VERSION)" prefix="$(prefix)" top_srcdir="$(PWD)" update-po)
	(cd po && $(MAKE) VERSION="$(PACKAGE_VERSION)" prefix="$(prefix)" top_srcdir="$(PWD)" all)

install-po: build-po
	(cd po && $(MAKE) VERSION="$(PACKAGE_VERSION)" prefix="$(prefix)" top_srcdir="$(PWD)" install)

clean-po:
	(cd po && $(MAKE) VERSION="$(PACKAGE_VERSION)" prefix="$(prefix)" top_srcdir="$(PWD)" clean)

AUTHORS:
	# Include authors here who aren't in the git commits
	(git log HEAD | sed -n -e '/^Author:/s/^[^:]*: //p' ; printf "\
Julio Castillo (Win32 support)\n\
Marc Horowitz (remove tag, timezone patches)\n\
Russell Steicke (mtime patch)\n\
Till Maas (install, doc patches)\n\
Vincent Gay (French translation)\n\
	" ) | sort -u > $@

dist: AUTHORS docs
	mkdir gpscorrelate-$(PACKAGE_VERSION)
	git archive --prefix=gpscorrelate-$(PACKAGE_VERSION)/ HEAD | tar xf -
	install -m 0644 AUTHORS gpscorrelate-$(PACKAGE_VERSION)
	install -m 0644 doc/gpscorrelate.1 doc/gpscorrelate-manpage.xml doc/gpscorrelate.html gpscorrelate-$(PACKAGE_VERSION)/doc
	-rm gpscorrelate-$(PACKAGE_VERSION)/po/stamp-po
	cd gpscorrelate-$(PACKAGE_VERSION)/po && $(MAKE) VERSION="$(PACKAGE_VERSION)" prefix="$(prefix)" top_srcdir="$(PWD)" gpscorrelate.pot-update clean
	-rm gpscorrelate-$(PACKAGE_VERSION)/po/stamp-po
	tar cf gpscorrelate-$(PACKAGE_VERSION).tar gpscorrelate-$(PACKAGE_VERSION)
	-rm gpscorrelate-$(PACKAGE_VERSION).tar.gz
	gzip -9 gpscorrelate-$(PACKAGE_VERSION).tar
	rm -r gpscorrelate-$(PACKAGE_VERSION)

=== debian/changelog ===
gpscorrelate (2.0-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:18 +1100

gpscorrelate (2.0-4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:49:35 +0000

gpscorrelate (2.0-4) unstable; urgency=medium

  * QA upload.
  * Backport upstream commit 4cc76a762366ced88f388e6c23eb801af21a6c58 to build
    with exiv2 0.28.0+; patch
    upstream_Adapt-to-API-type-changes-in-exiv2-0.28.0.patch.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2023 12:25:05 +0100

gpscorrelate (2.0-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Paulo Henrique de Lima Santana (phls) ]
  * Set Maintainer to QA Group. (See #1015844)
  * debian/control:
      - Bumped Standards-Version to 4.6.2.
      - Updated debhelper-compat to 13.
  * debian/copyright:
      - Added all upstream files on the list.
      - Added Paulo for packaging.
      - Updated Mònica copyright years.
  * debian/gbp.conf: file created.
  * debian/rules: added override_dh_auto_test because upstream tests
    are failing.
  * debian/salsa-ci.yml: file created.
  * debian/source/lintian-overrides: file created to ignore warning about
    html files.
  * debian/watch: updated to version 4.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Wed, 25 Jan 2023 23:59:47 -0300

gpscorrelate (2.0-2) unstable; urgency=medium

  * Update new maintainer and homepage in debian/control and
    debian/copyright. (Closes: #931611)

 -- Mònica Ramírez Arceda <monica@debian.org>  Wed, 19 Feb 2020 22:22:26 +0100

gpscorrelate (2.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #950172)
  * Add build dependencies to debian/control:
    - Replace libgtk2.0-dev by libgtk-3-dev.
    - Add exvi2 to run tests.
  * Remove debian/gpscorrelate-gui.docs and debian/gpscorrelate.docs since
    README does not exist anymore.
  * Remove old patches:
    - 10-build-fixes.patch: changes not applicable any more and XSLTFLAGS
      added to debian/rules.
    - 20-timestap-fixes.patch: applied upstream.
    - 30-check-gps-tags.patch: applied upstream.
    - 40-fix-typos.patch: applied upstream.
    - 50-add-keywords-entry-desktop-file.patch: applied upstream.
    - 60-gpstimestamp-unsigned.patch: applied upstream.
    - 70-option-overwrite-gpstags.patch: applied upstream.
    - 80-cross.patch: applied upstream.
  * Bump to Standards-Version 4.5.0. No changes required.
  * Update debian/rules and fix hardening problems.
  * Replace debian/compat with debian-compat in Build-Depends.
  * Add Rules-Requires-Root to debian/control.

 -- Mònica Ramírez Arceda <monica@debian.org>  Thu, 13 Feb 2020 23:09:25 +0100

=== debian/control ===
Source: gpscorrelate
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               docbook-xml,
               docbook-xsl,
               exiv2,
               libexiv2-dev (>= 0.10-1.3),
               libgtk-3-dev,
               libxml2-dev,
               pkg-config,
               xsltproc,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://dfandrich.github.io/gpscorrelate/
Vcs-Git: https://salsa.debian.org/debian/gpscorrelate.git
Vcs-Browser: https://salsa.debian.org/debian/gpscorrelate

Package: gpscorrelate
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: correlates digital photos with GPS data filling EXIF fields (command line)
 gpscorrelate fills EXIF (Exchangeable Image File Format) fields of
 digital photos related to GPS (Global Positioning System) information
 (e.g.: GPSLatitude, GPSLongitude, GPSAltitude, ...). The act of filling
 those fields is referred to as "correlation".
 .
 Inputs of the correlation process are a set of JPEG images and GPS data
 encoded in GPX (GPS Exchange Format) format.
 .
 If GPS data are available at the precise moment the photo was taken
 (with a 1-second granularity) the GPS data are stored unmodified in
 EXIF fields. If they are not linear interpolation of GPS data
 available at moments before and after the photo was taken can be used.
 .
 Both a command line tool (package gpscorrelate) and a GTK+ graphical
 user interface for it (package gpscorrelate-gui) are provided.
 .
 This package contains the command line tool and the documentation in HTML
 format.

Package: gpscorrelate-gui
Architecture: any
Depends: gpscorrelate, ${shlibs:Depends}, ${misc:Depends}
Description: correlates digital photos with GPS data filling EXIF fields (GUI)
 gpscorrelate fills EXIF (Exchangeable Image File Format) fields of
 digital photos related to GPS (Global Positioning System) information
 (e.g.: GPSLatitude, GPSLongitude, GPSAltitude, ...). The act of filling
 those fields is referred to as "correlation".
 .
 Inputs of the correlation process are a set of JPEG images and GPS data
 encoded in GPX (GPS Exchange Format) format.
 .
 If GPS data are available at the precise moment the photo was taken
 (with a 1-second granularity) the GPS data are stored unmodified in
 EXIF fields. If they are not linear interpolation of GPS data
 available at moments before and after the photo was taken can be used.
 .
 Both a command line tool (package gpscorrelate) and a GTK+ graphical
 user interface for it (package gpscorrelate-gui) are provided.
 .
 This package contains the GTK+ graphical user interface.

=== debian/watch ===
version=4
https://github.com/dfandrich/gpscorrelate/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
